# ]po[ Timesheet Invoices 
This package is part of ]project-open[, an open-source enterprise project management system.

For more information about ]project-open[ please see:
* [Documentation Wiki](http://www.project-open.com/en/)
* [V5.0 Download](https://sourceforge.net/projects/project-open/files/project-open/V5.0/)
* [Installation Instructions](http://www.project-open.com/en/list-installers)

About ]po[ Timesheet Invoices :

<p><p>The Timesheet Invoices Package forms the bridge between the internal record keeping of timesheets, and the preparation of billable invoices to ship to the customer. It transforms the timesheets kept for each client company, and each project being labored on for that client company into an invoice. Parameters can be specified throughout the creation process on whether to include or exclude certain tasks within a p&shy;roject on the invoice, and to further modify the billing schemes per task. <p>

# Online Reference Documentation

## Procedure Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/procs-file-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/tcl/intranet-timesheet2-invoices-procs.tcl">tcl/intranet-timesheet2-invoices-procs.tcl</a></b></td><td></td><td>Bring together all &quot;components&quot; (=HTML + SQL code) related to Timesheet Invoices </td></tr></table>

## Procedures

<table cellpadding="0" cellspacing="0"><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=48291&amp;proc=im_timesheet_invoice_permissions">im_timesheet_invoice_permissions</a></b></td><td></td><td>Fill the &quot;by-reference&quot; variables read, write and admin with the permissions of $current_user_id on $user_id </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=48291&amp;proc=im_timesheet_invoicing_project_hierarchy">im_timesheet_invoicing_project_hierarchy</a></b></td><td></td><td>Returns a formatted HTML table representing the list of subprojects and their logged hours. </td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/proc-view?version_id=48291&amp;proc=im_timesheet_price_component">im_timesheet_price_component</a></b></td><td></td><td>Returns a formatted HTML table representing the prices for the current company </td></tr></table>

## SQL Files

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-timesheet2-invoices&amp;url=common/intranet-timesheet2-invoices-common.sql&amp;version_id=48291">sql/common/intranet-timesheet2-invoices-common.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-timesheet2-invoices&amp;url=postgresql/intranet-timesheet2-invoices-create.sql&amp;version_id=48291">sql/postgresql/intranet-timesheet2-invoices-create.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-timesheet2-invoices&amp;url=postgresql/intranet-timesheet2-invoices-drop.sql&amp;version_id=48291">sql/postgresql/intranet-timesheet2-invoices-drop.sql</a></b></td><td></td><td></td></tr><tr valign="top"><td><b><a href="http://www.project-open.net/api-doc/display-sql?package_key=intranet-timesheet2-invoices&amp;url=postgresql/upgrade/upgrade-5.0.2.4.2-5.0.2.4.3.sql&amp;version_id=48291">sql/postgresql/upgrade/upgrade-5.0.2.4.2-5.0.2.4.3.sql</a></b></td><td></td><td></td></tr></table>

## Content Pages

<table cellpadding="0" cellspacing="0"><tr valign="top"><td><b>www/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/index.tcl">index.tcl</a></b></td><td>Empty redirection index.tcl file</td></tr><tr valign="top"><td><b>invoices/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/invoices/new-2.adp">new-2.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/invoices/new-2.tcl">new-2.tcl</a></b></td><td>Receives a list of projects and displays all Tasks of these projects, ordered by project, allowing the user to modify the &quot;billable units&quot;.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/invoices/new-3.adp">new-3.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/invoices/new-3.tcl">new-3.tcl</a></b></td><td>Receives the list of tasks to invoice and creates an invoice form similar to /intranet-invoices/www/new in order to create a new invoice.&lt;br&gt;</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/invoices/new-4.tcl">new-4.tcl</a></b></td><td>Saves invoice changes and set the invoice status to &quot;Created&quot;.&lt;br&gt; Please note that there are different forms to create invoices for example in the intranet-timesheet2-invoicing module of the intranet-server-hosting module.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/invoices/new.adp">new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/invoices/new.tcl">new.tcl</a></b></td><td>List all &quot;delivered&quot; project (i.e.</td></tr><tr valign="top"><td><b>price-lists/</b></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/price-lists/new.adp">new.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/price-lists/new.tcl">new.tcl</a></b></td><td>Create or edit an entry in the price list</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/price-lists/price-action.tcl">price-action.tcl</a></b></td><td>Purpose: Takes commands from a price_component and deletes tasks as requested.</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/price-lists/pricelist_sample.csv">pricelist_sample.csv</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/price-lists/upload-prices-2.adp">upload-prices-2.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/price-lists/upload-prices-2.tcl">upload-prices-2.tcl</a></b></td><td>/intranet/companies/upload-prices-2.tcl Read a .csv-file with header titles exactly matching the data model and insert the data into im_timesheet_prices</td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/price-lists/upload-prices.adp">upload-prices.adp</a></b></td><td></td></tr><tr valign="top"><td style="width:35%"><b><a href="http://www.project-open.net/api-doc/content-page-view?version_id=48291&amp;path=packages/intranet-timesheet2-invoices/www/price-lists/upload-prices.tcl">upload-prices.tcl</a></b></td><td>Serve the user a form to upload a new file or URL</td></tr></table>

